Jump to content
aminkovskaya

Need help asap

Recommended Posts

aminkovskaya
image.jpg I don't understand how to do it. Help?

image.jpg

Share this post


Link to post
Share on other sites
ReMark

Start the LINE command and input the coordinates given in the exercise. Something like this....

 

Command: L

LINE

Specify first point: 1.5,1

 

Specify next point or [undo]: 2.1717,1

 

Specify next point or [undo]: 2.7074,1.75

 

Specify next point or [Close/Undo]: 4.5,1.75

 

Specify next point or [Close/Undo]: 4.82,1

 

Specify next point or [Close/Undo]: 5.5,1

 

Specify next point or [Close/Undo]:

 

The result of the above should look something like this...

 

LetterA.PNG

Share this post


Link to post
Share on other sites
ReMark

Did you get it figured out? Yes? No? Maybe?

Share this post


Link to post
Share on other sites
aminkovskaya

Not really...

Share this post


Link to post
Share on other sites
aminkovskaya

How would I find out the answers to the question after I do that?

Share this post


Link to post
Share on other sites
Bill Tillman

Of course being a LISP developer, I'd have done it this way:

(defun c:test ()

 (setq a '(1.5 1)
b '(2.1717 1)
c '(2.7074 1.75)
d '(4.5 1.75)
e '(4.82 1)
f '(5.5 1)
g '(4.1838 4.0711)
h '(3.5071 3.81)
j '(3.7974 3.3861)
k '(3.6304 3.3139)
l '(2.8125 2.25)
m '(4.2843 2.25)
)
 (command "._LINE" a b c d e f g h "c")
 (command "._LINE" j k l m "c")

 (command "._TEXT" a "" "" "a" "")
 (command "._TEXT" b "" "" "b" "")
 (command "._TEXT" c "" "" "c" "")
 (command "._TEXT" d "" "" "d" "")
 (command "._TEXT" e "" "" "e" "")
 (command "._TEXT" f "" "" "f" "")
 (command "._TEXT" g "" "" "g" "")
 (command "._TEXT" h "" "" "h" "")
 (command "._TEXT" j "" "" "j" "")
 (command "._TEXT" k "" "" "k" "")
 (command "._TEXT" l "" "" "l" "")
 (command "._TEXT" m "" "" "m" "")
 
 (princ)
 ); end function

Sure make things simpler when you let the computer do all the work. However, your class instructor may not see it that way! :nono:

 

And actually there's no need to draw the object since the question is using AutoCAD commands what is the length of line a-h, you could just do this at the command line:

Command: (setq a '(1.5 1) h '(3.5071 3.81))
Command: (distance a h)

which could also be shortened to

Command: (distance '(1.5 1) '(3.5071 3.81))

Your instructor may be okay with this since the question is how far from point a to point h.

Share this post


Link to post
Share on other sites
ReMark
Not really...

 

What seems to be the problem? You start the line command, and type in the X/Y coordinates as presented in the exercise. So your first set of coordinates are entered on the command line as 1.5,1 then you press the Enter key. After that it is just a matter of entering the coordinates followed by pressing the Enter key as quickly as you can until all coordinates have been entered which should return you to the starting point. That takes care of the outline. Follow this up by restarting the line and entering the four sets of coordinates, in the same fashion, for the inner part of the letter.

 

Bill: The OP has trouble understanding how to enter coordinates in AutoCAD and yet you think he/she will understand what to do with the lisp routine? That's a real leap of faith in my opinion.

Edited by ReMark

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×